create or replace package ploffx_docx_type
authid current_user is
--v5.0
--
type t_docx is record(
  content_types ploffx_content_types.CT_types,
  app ploffx_app.CT_Properties,
  core ploffx_core.CT_CoreProperties,
  styles ploffx_docx_styles.CT_Styles,
  stylesWithEffects ploffx_docx_styles.CT_Styles,
  settings ploffx_settings.CT_Settings,
  webSettings ploffx_websettings.CT_WebSettings,
  fonts ploffx_fonttable.CT_FontsList,
  document ploffx_document_type.CT_Document,
  document_rels ploffx_prels.CT_Relationships,
  rels ploffx_prels.CT_Relationships,
  theme ploffx_theme.CT_OfficeStyleSheet,
  charts ploffx_chart.t_charts, --
  --
  nums ploffx_numbering.t_num_, -- change to numbering
  abstractNums ploffx_numbering.t_abstractNum_, -- change to numbering
  --
  numbering ploffx_numbering.CT_Numbering,
  hdrftrs ploffx_headerfooter.XT_HdrFtr, --
  hdrftrRels ploffx_prels.CT_HFRelationships,
  files ploffx_util.t_files,
  pcontent_items ploffx_document_type.t_pcontent_items,
  cellcontent_items ploffx_document_type.t_cellcontent_items,
  rowcontent_items ploffx_document_type.t_rowcontent_items,
  block_items ploffx_document_type.t_block_items,
  hlink_contents ploffx_document_type.t_pcontent_items,
  styles_xml clob --v4.8.0
  );

end ploffx_docx_type;
/

